// form/nc/report/cash-flow/cash-flow.js

function update() {
	// if (action === 'update') {
	const param = {
		start_date: state.rec.start_date, // nc.dateToString(state.rec.start_date),
		end_date: state.rec.end_date, // nc.dateToString(state.rec.end_date)
		tab: state.rec.tab
	}
	nc.callServer(state, 'query', {
		name: 'form/nc/report/cash-flow/grid.json',
		return: {
			grid: [
				{
					name: 'cash_flow',
					tab: state.rec.tab
				}
			]
		},
		parameter: param
	})
}

function tabChanged() {
	update()
}
